#include <iostream>
#include <stdlib.h>
#include <stdio.h>
#include <algorithm>
#include <vector>
int fv2[100000+1],a[100000+1],indici[100000+1],b[100000+1];
int absol(int rgr){
    if(rgr<0){
        rgr*=-1;
    }
    return rgr;
}
using namespace std;
std::vector<int> solve(std::vector<int> A){
    std::vector<int> ret;
    int i,n=A.size(),cnt,j,nf=1,s=0,ss=0,min=9999999;
    for(i=0 ; i<n ; i++){
        a[i]=i;
        ss+=A[i];
    }
    for(i=2 ; i<=n ; i++){
        nf*=i;
    }
    for(i=0 ; i<nf ; i++){
        next_permutation(a,a+n-1);
        j=0;
        while(s<=ss/2){
            s+=A[j++];
        }
        j--;
        if(absol((n-j-1)-j)<min){
           min=absol((n-j-1)-j);
           ret.resize(0);
           for(j=0 ; j<n ; j++){
                ret.push_back(a[j]);
           }
        }
    }
    return (ret);
}